%define module_name RT-Extension-CreateByProblemType
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(B.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(RT.pm) perl(RT/Config.pm) perl(RT/Handle.pm) perl(RT/System.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: RT Extension-CreateByProblemType Extension
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AL/ALEXMV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This extension modifies the "Create a ticket in..." drop-down on RT's
main page; instead of presenting a list of queue names, it instead
presents a list of problem types, and dispatches to the appropriate
queue.

It does this by inspecting the "Problem Type" custom field on each
queue, which should be of type "Select one value."  For each queue,
all possible values for this custom field will be added to the
drop-down, categorized under the queue name.  If a queue has no
"Problem Type" custom field, or the custom field has no possible
values, the queue name will appear instead.

This is a user-configurable option; advanced users may prefer to
revert to the simple queue name drop-down.  This preference appears
under the "General" header in user preferences, as "Create tickets by
selecting a problem type, not a queue."


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/R*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

